CREATE TABLE bm_cm_user_prefs (
    ID                 NUMBER(18, 0) ,
    USER_ID            NUMBER(18, 0) ,
    PROCESS_ID         NUMBER(18, 0) ,
    USER_PREF          NUMBER(5, 0)      NOT NULL,
    USER_PREF_VALUE    VARCHAR2(1020)    NOT NULL,
    DATE_ADDED         DATE              NOT NULL,
    DATE_MODIFIED      DATE          ,
    GUID               VARCHAR2(1020)    NOT NULL,
    ID                 NUMBER(18, 0) ,
    USER_ID            NUMBER(18, 0) ,
    PROCESS_ID         NUMBER(18, 0) ,
    USER_PREF          NUMBER(5, 0)      NOT NULL,
    USER_PREF_VALUE    VARCHAR2(1020)    NOT NULL,
    DATE_ADDED         DATE              NOT NULL,
    DATE_MODIFIED      DATE          ,
    GUID               VARCHAR2(1020)    NOT NULL,
    CONSTRAINT pk_bm_cm_user_prefs PRIMARY KEY (ID, ID)
);
